#*********************************************************
# Fujifilm Autosave Copy Script for Lightroom Import
#---------------------------------------------------------
# www.mephzara.com - Andreas Kardin
# Released as Public Domain
# Version 1 (2016-02-11)
#*********************************************************

# The source and the destionation path (!!! WITHOUT TRAILING \)
$global:fujiAutosave	= 'F:\_FujiXT1_Images'
$global:imgDst			= 'F:\_Lightroom_Autoimport'

#copy the stuff that is already there
Get-ChildItem -Path "$global:fujiAutosave\*.RAF" -Recurse | Move-Item -Destination $global:imgDst

$watcher = New-Object IO.FileSystemWatcher $fujiAutosave, '*.*' -Property @{IncludeSubdirectories = $true;NotifyFilter = [IO.NotifyFilters]'FileName, LastWrite'}

Register-ObjectEvent $watcher Created -SourceIdentifier FileCreated -Action {
	$fileName	= $Event.SourceEventArgs.Name
	$filePath	= $Event.SourceEventArgs.FullPath
	$timeStamp	= $Event.TimeGenerated
	try {
		Write-Host "The file $filePath / $fileName created at $timeStamp" -fore green
		Get-ChildItem -Path "$global:fujiAutosave\*.JPG" -Recurse | Move-Item -Destination $global:imgDst
		Get-ChildItem -Path "$global:fujiAutosave\*.RAF" -Recurse | Move-Item -Destination $global:imgDst
	} catch {
		Write-Host $_.Exception.Message -fore red
	}
} 

Register-ObjectEvent $watcher Changed  -SourceIdentifier FileChanged -Action {
	$fileName	= $Event.SourceEventArgs.Name
	$filePath	= $Event.SourceEventArgs.FullPath
	$timeStamp	= $Event.TimeGenerated
	try {
		Write-Host "The file $filePath / $fileName changed at $timeStamp" -fore green		
		Get-ChildItem -Path "$global:fujiAutosave\*.JPG" -Recurse | Move-Item -Destination $global:imgDst
		Get-ChildItem -Path "$global:fujiAutosave\*.RAF" -Recurse | Move-Item -Destination $global:imgDst
	} catch {
		Write-Host $_.Exception.Message -fore red
	}
} 

# To stop monitoring, paste the following line into the shell (without #)
#Unregister-Event FileCreated;Unregister-Event FileChanged